#
# spec file for package audenc
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           audenc
Version:        3.3.4
Release:        1.1
Summary:        Batch script for audio encoding
License:        GPL-2.0+
Group:          Productivity/Multimedia/Sound/Editors and Convertors
Url:            http://sourceforge.net/projects/audenc/
Source0:        %{name}-%{version}.tar.gz
Requires:       MPlayer
Requires:       aften
Requires:       faac
Requires:       flac
Requires:       gpac
Requires:       lame
Requires:       mediainfo
Requires:       nano
Requires:       opus-tools
Requires:       vorbis-tools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
audenc is a small script for encoding audio from one format to another.
Currently, the script supports MP3, AAC (through FAAC or neroAacEnc),
Vorbis, AC3, FLAC and WAV (decoding) output. Automatic tagging, if present
in the original file, is also supported (except for AC3 and WAV output).

The script is intended to be used on directories where you want to re-encode
a given directory with audio files to some other format, so the script does
not accept individual files directly and is in fact a batch script. It can
also be ran under cron to watch a given directory every X minutes so if you
copy tracks to that directory, when cron executes the script, it will encode
and move them over to a given output directory. The script uses a config file,
located in /home/username/.audenc, where the user can set things up (encoding input dir,
output dir, encoder options, paths to the programs, etc). Further, audenc also
accepts the input and output directory as parameters on the command line (which
overwrites the ENCDIR and OUTDIR variables set in the config file).

Since audenc uses MPlayer for decoding to WAV which then gets fed to the chosen
audio encoder, it can also encode audio from video files so you don't have to
first manually dump the audio from a video file and then encode it as audenc will
do it for you.

%prep
%setup -q

%build

%install
install -D -m 755 %{name} %{buildroot}/%{_bindir}/%{name}

gzip -9 man/%{name}.1
install -D -m 644 man/%{name}.1.gz %{buildroot}/%{_mandir}/man1/%{name}.1.gz

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1%{ext_man}
%doc doc/*

%changelog
* Mon Oct 17 2016 neutrino8@gmail.com
- Initial package release
